## plasma-desktop 5.12.3

=== debian/changelog ===
plasma-desktop (4:5.12.3-1) sid; urgency=medium

  * New upstream release (5.12.3).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Mar 2018 19:14:09 +0100

plasma-desktop (4:5.12.2-1) sid; urgency=medium

  * Bump kde-l10n version breaks/replaces.
    LC_SCRIPTS/kfontinst/kfontinst.js is now in plasma-desktop-data.
    Thanks to Andreas Beckmann for the report (Closes: 891017)
  * New upstream release (5.12.2).
  * Drop upstream patch
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 Feb 2018 09:47:54 +0100

plasma-desktop (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:09:00 +0100

plasma-desktop (4:5.12.0-3) sid; urgency=medium

  * New revision
  * [lookandfeel kcm] Do not declare plugin in lookandfeeltool code version
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Thu, 15 Feb 2018 10:36:24 +0100

plasma-desktop (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Add xserver-xorg-input-libinput-dev optional build dep
  * Drop qml-module-org-kde-extensionplugin transitional package dependency
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:48 +0100

plasma-desktop (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Bump plasma-workspace-dev build dep version for libcolorcorrect
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:59 +0100

plasma-desktop (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Update font recommendations
  * Bump itemmodels build dep version
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:10 -0300

plasma-desktop (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update build-deps and deps with the info from cmake
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:38 +0200

plasma-desktop (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Use the new breeze-gtk package name
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * Update build-deps and deps with the info from cmake
  * Set Priority to optional
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * add gpg keyring
  * new build-deps needed breeze-dev libappstreamqt-dev

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:29:42 +0200

plasma-desktop (4:5.8.7.1-1) unstable; urgency=medium

  * New upstream release (5.8.7.1)
      + Revert "use KPluginMetaData::readStringList"
        This reverts commit 7993cd433ca68a0136a990d3f1710a6360024fe9
      + Set root.dragging to false during reset.
        Fixes KDE#376633
      + Fix default fixed font in fonts kcm
        Now it is the same as used by plasma-integration.
        Also adjust the file name in the comment, which was apparently forgotten.
        Fixes #863243
      + Fix switching categories via the filter listview on touchscreens.
      + Disable editing of 'Global Shortcuts' component names
        Fixes KDE#376935
      + [Folder View] Fix action button hover and pressed state
        The hover state didn't work because it referenced "pressed" which it didn't find in the scope.
        The pressed graphic suffix was wrong.
      + [AppletAppearance] Silence warning
        "applet" is set after the item is created and would result in a warning on startup.
      + Do apply margin if in right-to-left mode.
        Fixes KDE#376529
      + [Folder View] Explicitly set prefix as empty in normal state
        Somehow with FrameSvg optimizations State no longer manages to reset the property back to its original state when state is reset.
        Fixes KDE#377441
      + [Kicker] Fix highlighting favorites
        ToolTipArea steals mouse events from the MouseEventListener.
        Related to KDE#377652
      + Add missing member initialization.
        Fixes KDE#378016
      + [Applet Alternatives] Fix icon size
        Another regression with new IconItem implicit size handling.
        Unintuitively implicit size has precedence over regular size when placed in a Layout,
        since the latter is managed by it.
      + [Applet Alternatives] Don't animate highlight resize
        The delegates hardly differ in size leading to ugly jumps when moving the selection
      + [Folder View] Use toDisplayString which strips passwords
        Otherwise we might be leaking sensitive information.
      + [Task Manager] Keep entry highlighted when context menu or group dialog is open
        This makes it easier to see what item the menu or popup is for.
        In fact, the item should have stayed highlighted when the context menu is open but this was broken.
        Also, for consistency, use the hover effect also for the group dialog (it used to be the "active" task).
      + Backport 5.9/Master's GroupDialog code to 5.8.
        This brings us to a common baseline on the three active branches
        and addresses regressions on the 5.8 branch.
        5.9's code added a scrollbar and improved keyboard nav.
        Fixes KDE#378042
      + Fix -Wreorder warning.
      + possible to edit the default color scheme


=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.15~),
               breeze-dev (>= 4:5.12.0~),
               cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.8.0~),
               kded5-dev (>= 5.34.0~),
               kinit-dev,
               kscreenlocker-dev,
               kwin-dev (>= 4:5.4.0~),
               libappstreamqt-dev,
               libboost-dev,
               libcanberra-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libglib2.0-dev,
               libibus-1.0-dev,
               libkf5activities-dev (>= 5.34.0~),
               libkf5activitiesstats-dev (>= 5.34.0~),
               libkf5attica-dev (>= 5.34.0~),
               libkf5auth-dev (>= 5.34.0~),
               libkf5config-dev (>= 5.34.0~),
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev (>= 5.34.0~),
               libkf5declarative-dev (>= 5.34.0~),
               libkf5doctools-dev (>= 5.34.0~),
               libkf5emoticons-dev,
               libkf5globalaccel-dev (>= 5.34.0~),
               libkf5guiaddons-dev,
               libkf5i18n-dev (>= 5.34.0~),
               libkf5itemmodels-dev (>= 5.41.0~),
               libkf5kcmutils-dev (>= 5.34.0~),
               libkf5kdelibs4support-dev (>= 5.34.0~),
               libkf5kio-dev,
               libkf5newstuff-dev (>= 5.34.0~),
               libkf5notifications-dev (>= 5.34.0~),
               libkf5notifyconfig-dev (>= 5.34.0~),
               libkf5people-dev (>= 5.34.0~),
               libkf5plasma-dev (>= 5.34.0~),
               libkf5runner-dev (>= 5.34.0~),
               libkf5sysguard-dev,
               libkf5wallet-dev (>= 5.34.0~),
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libpackagekitqt5-dev,
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev,
               libpulse-dev (>= 0.9.16),
               libqt5svg5-dev (>= 5.9.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libudev-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-image0-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbfile-dev,
               openbox,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.12~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               scim-dev,
               xauth,
               xserver-xorg-dev,
               xserver-xorg-input-evdev-dev,
               xserver-xorg-input-libinput-dev,
               xserver-xorg-input-synaptics-dev,
               xvfb,
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-desktop
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop.git

Package: kde-config-touchpad
Depends: plasma-desktop, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libkfontinst5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: libkfontinstui5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop
Architecture: any
Depends: breeze,
         kactivitymanagerd,
         kde-cli-tools,
         kded5,
         kio,
         oxygen-sounds,
         plasma-desktop-data (= ${source:Version}),
         plasma-framework,
         plasma-integration,
         plasma-workspace,
         polkit-kde-agent-1,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-solid,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bluedevil,
            breeze-gtk-theme,
            fonts-hack-ttf,
            fonts-noto,
            kde-config-gtk-style,
            kde-config-screenlocker,
            kde-config-sddm,
            kde-style-oxygen-qt5,
            kgamma5,
            khelpcenter,
            khotkeys,
            kinfocenter,
            kio-extras,
            kmenuedit,
            kscreen,
            ksshaskpass,
            ksysguard,
            kwin-x11 | kwin,
            kwrited,
            libpam-kwallet5,
            plasma-discover,
            plasma-pa,
            powerdevil,
            sni-qt,
            systemsettings,
            user-manager,
Breaks: baloo-kf5 (<< 5.5),
        kactivities,
        kde-config-touchpad (<< 4:5),
        kde-workspace-bin,
        kde-workspace-data,
        plasma-widget-kimpanel,
Replaces: baloo-kf5 (<< 5.5),
          kactivities,
          kde-config-touchpad (<< 4:5),
          kde-workspace-bin,
          kde-workspace-data,
          plasma-widget-kimpanel,
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-data
Architecture: all
Depends: ${misc:Depends}
Recommends: plasma-framework (>> 5.22),
            plasma-workspace,
            qml-module-org-kde-activities,
            qml-module-org-kde-kwindowsystem,
            qml-module-qtquick-dialogs,
Breaks: baloo-kf5 (<< 5.5),
        kactivities,
        kde-config-touchpad (<< 4:5),
        kde-workspace-bin,
        kde-workspace-data,
        kdeplasma-addons-data (<< 4:5.6~),
        plasma-widget-kimpanel,
        ${kde-l10n:all},
Replaces: baloo-kf5 (<< 5.5),
          kactivities,
          kde-config-touchpad (<< 4:5),
          kde-workspace-bin,
          kde-workspace-data,
          kdeplasma-addons-data (<< 4:5.6~),
          plasma-widget-kimpanel,
          ${kde-l10n:all},
Description: Tools and widgets for the desktop data files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

Package: plasma-desktop-dev
Section: devel
Architecture: any
Depends: libkfontinst5 (= ${binary:Version}),
         libkfontinstui5 (= ${binary:Version}),
         plasma-desktop (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-config-touchpad (<< 4:5)
Replaces: kde-config-touchpad (<< 4:5)
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

## plasma-desktop 5.12.4

=== CMakeLists.txt ===
project(plasma-desktop)

set(PROJECT_VERSION "5.12.4")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.9.0")

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(CheckIncludeFiles)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    QuickWidgets
    DBus
    Widgets
    X11Extras
    Svg
    Concurrent
)

set(KF5_MIN_VERSION "5.42.0")
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    Plasma
    PlasmaQuick
    DocTools
    I18n
    KCMUtils
    NewStuff
    KDELibs4Support
    Notifications
    NotifyConfig
    Attica
    Wallet
    Runner
    GlobalAccel
    Declarative
    People
    DBusAddons
    Activities
    ActivitiesStats
    Config
)

find_package(LibKWorkspace CONFIG REQUIRED)
find_package(LibTaskManager CONFIG REQUIRED)
find_package(LibColorCorrect CONFIG REQUIRED)
find_package(KWinDBusInterface CONFIG REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)
find_package(KRunnerAppDBusInterface CONFIG REQUIRED)
find_package(KSMServerDBusInterface CONFIG REQUIRED)
find_package(KF5ItemModels CONFIG REQUIRED)
find_package(KF5Emoticons CONFIG REQUIRED)

find_package(AppStreamQt 0.10.4)
set_package_properties(AppStreamQt PROPERTIES DESCRIPTION "Appstream integration"
                       TYPE RECOMMENDED
                       PURPOSE "Needed to allow appstream integration from application menus"
                      )
find_package(KF5Baloo 5.15)
set_package_properties(KF5Baloo PROPERTIES DESCRIPTION "File Searching"
                       TYPE RECOMMENDED
                       PURPOSE "Needed to build the File Search KCM"
                      )

find_package(Fontconfig)
set_package_properties(Fontconfig PROPERTIES DESCRIPTION "Font access configuration library"
                       URL "http://www.freedesktop.org/wiki/Software/fontconfig"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build font configuration and installation tools"
                      )

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "http://www.x.org"
                        TYPE REQUIRED
                        PURPOSE "Required for building the X11 based workspace"
                      )

find_package(UDev)
set_package_properties(UDev PROPERTIES DESCRIPTION "UDev library"
                        URL "http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html"
                        TYPE OPTIONAL
                        PURPOSE "Required for device discovery in keyboard daemon"
                      )

find_package(XCB
    REQUIRED COMPONENTS
        XCB SHM IMAGE
    OPTIONAL_COMPONENTS
        XKB XINPUT
)
set_package_properties(XCB PROPERTIES TYPE REQUIRED)
add_feature_info("XCB-XKB" XCB_XKB_FOUND "Required for building kcm/keyboard")
add_feature_info("libxft" X11_Xft_FOUND "X FreeType interface library required for font installation")

find_package(Evdev)
set_package_properties(Evdev PROPERTIES TYPE OPTIONAL)
add_feature_info("Evdev" EVDEV_FOUND "Evdev driver headers needed for input KCM")

find_package(Synaptics)
set_package_properties(Synaptics PROPERTIES TYPE OPTIONAL)
add_feature_info("Synaptics" SYNAPTICS_FOUND "Synaptics libraries needed for touchpad KCM")

find_package(XorgLibinput)
set_package_properties(XorgLibinput PROPERTIES TYPE OPTIONAL)
add_feature_info("XorgLibinput" XORGLIBINPUT_FOUND "Libinput driver headers needed for input KCM")

include(ConfigureChecks.cmake)

find_package(Breeze ${PROJECT_VERSION} CONFIG)
set_package_properties(Breeze PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "For setting the default window decoration plugin")
if(${Breeze_FOUND})
    if(${BREEZE_WITH_KDECORATION})
        set(HAVE_BREEZE_DECO true)
    else()
        set(HAVE_BREEZE_DECO FALSE)
    endif()
else()
    set(HAVE_BREEZE_DECO FALSE)
endif()

if(${AppStreamQt_FOUND})
    set(HAVE_APPSTREAMQT true)
endif()

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
configure_file(config-appstream.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-appstream.h )
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
configure_file(config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h)

plasma_install_package(desktoppackage org.kde.plasma.desktop shells shell)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(layout-templates)

add_subdirectory(doc)
add_subdirectory(runners)
add_subdirectory(containments)
add_subdirectory(toolboxes)
add_subdirectory(applets)
add_subdirectory(dataengines)
add_subdirectory(kcms)
add_subdirectory(knetattach)
add_subdirectory(attica-kde)
add_subdirectory(imports/activitymanager/)
add_subdirectory(solid-device-automounter)
if(X11_Xkb_FOUND AND XCB_XKB_FOUND)
    add_subdirectory(kaccess)
endif()
install(FILES org.kde.plasmashell.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== kaccess/CMakeLists.txt ===
# KI18N Translation Domain for this application
add_definitions(-DTRANSLATION_DOMAIN=\"kaccess\")


find_package(Phonon4Qt5 REQUIRED NO_MODULE)
include_directories(${PHONON_INCLUDE_DIR})

set(kaccess_KDEINIT_SRCS kaccess.cpp main.cpp )

kf5_add_kdeinit_executable(kaccess ${kaccess_KDEINIT_SRCS})

target_link_libraries(kdeinit_kaccess
    Qt5::Widgets
    Qt5::X11Extras
    KF5::ConfigCore
    KF5::Completion
    KF5::GlobalAccel
    KF5::I18n
    KF5::Notifications
    KF5::WidgetsAddons
    KF5::WindowSystem
    KF5::DBusAddons
    KF5::Service
    Phonon::phonon4qt5
    ${X11_LIBRARIES}
)

install(TARGETS kdeinit_kaccess ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(TARGETS kaccess         ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES kaccess.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES kaccess.notifyrc  DESTINATION  ${KNOTIFYRC_INSTALL_DIR} )

=== applets/pager/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.pager\")
plasma_install_package(package org.kde.plasma.pager)

set(pager_SRCS
    plugin/pagermodel.cpp
    plugin/pagerplugin.cpp
    plugin/windowmodel.cpp)

add_library(pagerplugin SHARED ${pager_SRCS})

target_link_libraries(pagerplugin
                      KF5::KIOCore
                      KF5::WindowSystem
                      KF5::Plasma
                      KF5::Activities
                      KF5::KDELibs4Support
                      PW::LibTaskManager
                      Qt5::Core
                      Qt5::DBus
                      Qt5::Qml
                      Qt5::Quick
                      Qt5::DBus)

if (X11_FOUND)
    target_link_libraries(pagerplugin Qt5::X11Extras)
endif()

install(TARGETS pagerplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/private/pager)
install(FILES plugin/qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/plasma/private/pager)

=== dataengines/kimpanel/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_engine_kimpanel")

configure_file(config-kimpanel.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kimpanel.h)

set(plasma_engine_kimpanel_SRCS
    kimpaneldataengine.cpp
    kimpanelagent.cpp
    kimpanelservice.cpp
    kimpaneljob.cpp
    kimpanelinputpanelcontainer.cpp
    kimpanelstatusbarcontainer.cpp
)
QT5_ADD_DBUS_ADAPTOR(plasma_engine_kimpanel_SRCS
    org.kde.impanel.xml
    kimpanelagent.h
    PanelAgent)


add_library(plasma_engine_kimpanel ${plasma_engine_kimpanel_SRCS})
target_include_directories(plasma_engine_kimpanel PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
set_target_properties(plasma_engine_kimpanel PROPERTIES PREFIX "")
target_link_libraries(plasma_engine_kimpanel
	KF5::Plasma
	KF5::Service
	Qt5::DBus
)
kcoreaddons_desktop_to_json(plasma_engine_kimpanel plasma-dataengine-kimpanel.desktop)

install(TARGETS plasma_engine_kimpanel
        DESTINATION ${PLUGIN_INSTALL_DIR}/plasma/dataengine)

install(FILES plasma-dataengine-kimpanel.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES kimpanel.operations DESTINATION ${PLASMA_DATA_INSTALL_DIR}/services)

=== doc/kcontrol/CMakeLists.txt ===
ecm_optional_add_subdirectory(clock)
ecm_optional_add_subdirectory(colors)
ecm_optional_add_subdirectory(desktopthemedetails)
ecm_optional_add_subdirectory(joystick)
ecm_optional_add_subdirectory(kcmaccess)
ecm_optional_add_subdirectory(kcmstyle)
ecm_optional_add_subdirectory(solid-actions)
ecm_optional_add_subdirectory(splashscreen)
ecm_optional_add_subdirectory(icons)
ecm_optional_add_subdirectory(cookies)
ecm_optional_add_subdirectory(emoticons)
ecm_optional_add_subdirectory(baloo)

ecm_optional_add_subdirectory(autostart)
ecm_optional_add_subdirectory(cursortheme)
ecm_optional_add_subdirectory(fonts)
ecm_optional_add_subdirectory(fontinst)
ecm_optional_add_subdirectory(keys)
ecm_optional_add_subdirectory(keyboard)
ecm_optional_add_subdirectory(mouse)
ecm_optional_add_subdirectory(paths)
ecm_optional_add_subdirectory(kcmsmserver)
ecm_optional_add_subdirectory(kcmlaunch)
ecm_optional_add_subdirectory(kcmnotify)
ecm_optional_add_subdirectory(translations)
ecm_optional_add_subdirectory(formats)
ecm_optional_add_subdirectory(spellchecking)
ecm_optional_add_subdirectory(componentchooser)
ecm_optional_add_subdirectory(kded)
ecm_optional_add_subdirectory(solid-device-automounter)
ecm_optional_add_subdirectory(phonon)

=== doc/kfontview/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kfontview)

=== doc/knetattach/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR knetattach)

=== kcms/baloo/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm5_baloofile\")

set(kcm_file_SRCS
  kcm.cpp
  fileexcludefilters.cpp
  folderselectionwidget.cpp
)

ki18n_wrap_ui(kcm_file_SRCS
  configwidget.ui
)

add_library(kcm_baloofile MODULE ${kcm_file_SRCS})

target_link_libraries(kcm_baloofile
  KF5::KIOWidgets
  KF5::CoreAddons
  KF5::KCMUtils
  KF5::I18n
  KF5::Solid
  KF5::Baloo

  Qt5::DBus
  Qt5::Widgets
)


install(FILES kcm_baloofile.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS kcm_baloofile DESTINATION ${PLUGIN_INSTALL_DIR})

=== kcms/colors/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmcolors\")

set(scheme_editor_SRCS
    kcolorschemeeditor.cpp
    scmeditordialog.cpp
    scmeditoroptions.cpp
    scmeditorcolors.cpp
    scmeditoreffects.cpp
    previewwidget.cpp
    setpreviewwidget.cpp
    colorscm.cpp
    ../krdb/krdb.cpp
    )

set(klauncher_xml ${KINIT_DBUS_INTERFACES_DIR}/kf5_org.kde.KLauncher.xml)

ki18n_wrap_ui(scheme_editor_SRCS
    colorsettings.ui
    scmeditordialog.ui
    scmeditoroptions.ui
    scmeditorcolors.ui
    scmeditoreffects.ui
    preview.ui
    setpreview.ui
    )

qt5_add_dbus_interface(scheme_editor_SRCS ${klauncher_xml} klauncher_iface)

add_executable(kcolorschemeeditor ${scheme_editor_SRCS})

target_link_libraries(kcolorschemeeditor
    KF5::KCMUtils
    KF5::GuiAddons
    KF5::I18n
    KF5::KIOCore
    KF5::CoreAddons
    KF5::NewStuff
    KF5::WindowSystem
    )
if(X11_FOUND)
    target_link_libraries(kcolorschemeeditor ${X11_LIBRARIES} Qt5::X11Extras)
endif()
install(TARGETS kcolorschemeeditor  DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.kcolorschemeeditor.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR})

# ----------------

set(kcm_colors_SRCS
    ../krdb/krdb.cpp
    colorscm.cpp
    scmeditordialog.cpp
    scmeditoroptions.cpp
    scmeditorcolors.cpp
    scmeditoreffects.cpp
    previewwidget.cpp
    setpreviewwidget.cpp
    )


qt5_add_dbus_interface(kcm_colors_SRCS ${klauncher_xml} klauncher_iface)

ki18n_wrap_ui(kcm_colors_SRCS
    colorsettings.ui
    scmeditordialog.ui
    scmeditoroptions.ui
    scmeditorcolors.ui
    scmeditoreffects.ui
    preview.ui
    setpreview.ui)

add_library(kcm_colors MODULE ${kcm_colors_SRCS})
target_link_libraries(kcm_colors
    KF5::KCMUtils
    KF5::GuiAddons
    KF5::I18n
    KF5::KIOCore
    KF5::CoreAddons
    Qt5::DBus
    KF5::NewStuff
    KF5::WindowSystem)

if(X11_FOUND)
    target_link_libraries(kcm_colors ${X11_LIBRARIES} Qt5::X11Extras)
endif()

install(TARGETS kcm_colors  DESTINATION ${PLUGIN_INSTALL_DIR})
install( FILES colors.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES colorschemes.knsrc DESTINATION  ${CONFIG_INSTALL_DIR} )

# built-in color schemes
file(GLOB schemefiles schemes/*.colors)
install( FILES ${schemefiles} DESTINATION ${DATA_INSTALL_DIR}/color-schemes )

=== kcms/componentchooser/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm5_componentchooser\")

add_subdirectory( componentservices ) 



########### next target ###############

set(kcm_componentchooser_SRCS
  componentchooser.cpp
  componentchooserbrowser.cpp
  componentchooserfilemanager.cpp
  componentchooseremail.cpp
  componentchooserterminal.cpp
  kcm_componentchooser.cpp
  ktimerdialog.cpp
)

ki18n_wrap_ui(kcm_componentchooser_SRCS
  browserconfig_ui.ui
  filemanagerconfig_ui.ui
  emailclientconfig_ui.ui
  componentchooser_ui.ui
  componentconfig_ui.ui
  terminalemulatorconfig_ui.ui
)

add_library(kcm_componentchooser MODULE ${kcm_componentchooser_SRCS})



target_link_libraries(kcm_componentchooser
                      KF5::KDELibs4Support
                      Qt5::X11Extras
                      )

install(TARGETS kcm_componentchooser  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES componentchooser.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== kcms/formats/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmformats\")

set(kcm_formats_PART_SRCS
    kcmformats.cpp
)

ki18n_wrap_ui(kcm_formats_PART_SRCS kcmformatswidget.ui )

add_library(kcm_formats MODULE ${kcm_formats_PART_SRCS})

kcoreaddons_desktop_to_json(kcm_formats formats.desktop SERVICE_TYPES kcmodule.desktop)

target_link_libraries(kcm_formats Qt5::Core Qt5::DBus Qt5::Widgets KF5::I18n KF5::ConfigCore KF5::KCMUtils)

install(TARGETS kcm_formats  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES formats.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== kcms/icons/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm5_icons\")

add_subdirectory(tests)

########### next target ###############

set(kcm_icons_PART_SRCS iconthemes.cpp icons.cpp main.cpp )

add_library(kcm_icons MODULE ${kcm_icons_PART_SRCS})

target_link_libraries(kcm_icons
    Qt5::Widgets
    Qt5::Svg
    KF5::KCMUtils
    KF5::I18n
    KF5::IconThemes
    KF5::Archive
    KF5::NewStuff
    KF5::KIOWidgets
    KF5::KDELibs4Support
    ${X11_LIBRARIES}
)

if(X11_FOUND)
    target_link_libraries(kcm_icons Qt5::X11Extras)
endif()

file(GENERATE OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/config.h CONTENT "#define CMAKE_INSTALL_FULL_LIBEXECDIR \"${CMAKE_INSTALL_FULL_LIBEXECDIR}\"")

add_executable(plasma-changeicons changeicons.cpp)
target_link_libraries(plasma-changeicons PRIVATE Qt5::Core KF5::KIOWidgets KF5::IconThemes)

install(TARGETS kcm_icons  DESTINATION ${PLUGIN_INSTALL_DIR} )

install( FILES icons.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/icons.knsrc ${CMAKE_BINARY_DIR}/icons.knsrc)
install( FILES ${CMAKE_BINARY_DIR}/icons.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )

install(TARGETS plasma-changeicons DESTINATION ${LIBEXEC_INSTALL_DIR} )

=== debian/changelog ===
plasma-desktop (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:54:18 +0100

plasma-desktop (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * Replace Kubuntu's desktop toolbox location patch with the upstream
    implementation, which is more adaptive for right-to-left
    configurations:
    - debian/patches: drop kubuntu_non_conflicting_toolbox_location.patch
    - debian/patches: add upstream_place-toolbox-top-right.patch
  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:49:48 +0000

plasma-desktop (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:43:23 +0000

plasma-desktop (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:13:26 +0000

plasma-desktop (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New optional build depend on xorg's libinput driver -dev package
  * New upstream release (5.11.95)
  * New upstream release (5.12.0)
  * Add qml-module-org-kde-kcm to plasma-desktop-data recommends

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:50:53 +0000

plasma-desktop (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:39:37 +0000

plasma-desktop (4:5.11.4-0ubuntu2) bionic; urgency=medium

  * Update recommends to use new breeze-gtk-theme package name

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 18 Dec 2017 17:00:50 +0000

plasma-desktop (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:16:01 -0600

plasma-desktop (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:59:00 +0000

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 5.15~),
-               breeze-dev (>= 4:5.12.0~),
+Build-Depends: baloo-kf5-dev (>= 5.42.0~),
+               breeze-dev (>= 4:5.12.4~),
                cmake (>= 2.8.12),
-               debhelper (>= 11~),
-               extra-cmake-modules (>= 1.8.0~),
-               kded5-dev (>= 5.34.0~),
-               kinit-dev,
-               kscreenlocker-dev,
-               kwin-dev (>= 4:5.4.0~),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.42.0~),
+               kded5-dev (>= 5.42.0~),
+               kinit-dev (>= 5.42.0~),
+               kscreenlocker-dev (>= 5.12.4~),
+               kwin-dev (>= 4:5.12.4~),
                libappstreamqt-dev,
                libboost-dev,
                libcanberra-dev,
@@ -19,45 +19,45 @@
                libfreetype6-dev,
                libglib2.0-dev,
                libibus-1.0-dev,
-               libkf5activities-dev (>= 5.34.0~),
-               libkf5activitiesstats-dev (>= 5.34.0~),
-               libkf5attica-dev (>= 5.34.0~),
-               libkf5auth-dev (>= 5.34.0~),
-               libkf5config-dev (>= 5.34.0~),
-               libkf5coreaddons-dev,
-               libkf5dbusaddons-dev (>= 5.34.0~),
-               libkf5declarative-dev (>= 5.34.0~),
-               libkf5doctools-dev (>= 5.34.0~),
-               libkf5emoticons-dev,
-               libkf5globalaccel-dev (>= 5.34.0~),
-               libkf5guiaddons-dev,
-               libkf5i18n-dev (>= 5.34.0~),
-               libkf5itemmodels-dev (>= 5.41.0~),
-               libkf5kcmutils-dev (>= 5.34.0~),
-               libkf5kdelibs4support-dev (>= 5.34.0~),
-               libkf5kio-dev,
-               libkf5newstuff-dev (>= 5.34.0~),
-               libkf5notifications-dev (>= 5.34.0~),
-               libkf5notifyconfig-dev (>= 5.34.0~),
-               libkf5people-dev (>= 5.34.0~),
-               libkf5plasma-dev (>= 5.34.0~),
-               libkf5runner-dev (>= 5.34.0~),
-               libkf5sysguard-dev,
-               libkf5wallet-dev (>= 5.34.0~),
-               libkf5widgetsaddons-dev,
-               libkf5windowsystem-dev,
-               libkf5xmlgui-dev,
+               libkf5activities-dev (>= 5.42.0~),
+               libkf5activitiesstats-dev (>= 5.42.0~),
+               libkf5attica-dev (>= 5.42.0~),
+               libkf5auth-dev (>= 5.42.0~),
+               libkf5config-dev (>= 5.42.0~),
+               libkf5coreaddons-dev (>= 5.42.0~),
+               libkf5dbusaddons-dev (>= 5.42.0~),
+               libkf5declarative-dev (>= 5.42.0~),
+               libkf5doctools-dev (>= 5.42.0~),
+               libkf5emoticons-dev (>= 5.42.0~),
+               libkf5globalaccel-dev (>= 5.42.0~),
+               libkf5guiaddons-dev (>= 5.42.0~),
+               libkf5i18n-dev (>= 5.42.0~),
+               libkf5itemmodels-dev (>= 5.42.0~),
+               libkf5kcmutils-dev (>= 5.42.0~),
+               libkf5kdelibs4support-dev (>= 5.42.0~),
+               libkf5kio-dev (>= 5.42.0~),
+               libkf5newstuff-dev (>= 5.42.0~),
+               libkf5notifications-dev (>= 5.42.0~),
+               libkf5notifyconfig-dev (>= 5.42.0~),
+               libkf5people-dev (>= 5.42.0~),
+               libkf5plasma-dev (>= 5.42.0~),
+               libkf5runner-dev (>= 5.42.0~),
+               libkf5sysguard-dev (>= 4:5.12.4~),
+               libkf5wallet-dev (>= 5.42.0~),
+               libkf5widgetsaddons-dev (>= 5.42.0~),
+               libkf5windowsystem-dev (>= 5.42.0~),
+               libkf5xmlgui-dev (>= 5.42.0~),
                libpackagekitqt5-dev,
                libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev,
                libpulse-dev (>= 0.9.16),
-               libqt5svg5-dev (>= 5.9.0~),
-               libqt5x11extras5-dev (>= 5.9.0~),
+               libqt5svg5-dev (>= 5.6.1~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libudev-dev,
                libx11-dev,
-               libx11-xcb-dev,
                libxapian-dev,
                libxcb-image0-dev,
+               libxcb-keysyms1-dev,
                libxcb-record0-dev,
                libxcb-shm0-dev,
                libxcb-xkb-dev,
@@ -67,28 +67,35 @@
                libxi-dev,
                libxkbfile-dev,
                openbox,
-               pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.12~),
-               qtbase5-dev (>= 5.9.0~),
-               qtdeclarative5-dev (>= 5.9.0~),
+               plasma-workspace-dev (>= 4:5.12.4~),
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
                scim-dev,
                xauth,
                xserver-xorg-dev,
                xserver-xorg-input-evdev-dev,
                xserver-xorg-input-libinput-dev,
                xserver-xorg-input-synaptics-dev,
-               xvfb,
-Standards-Version: 4.1.3
+               xvfb
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/plasma-desktop
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
 
 Package: kde-config-touchpad
+Architecture: all
+Section: oldlibs
+Priority: optional
 Depends: plasma-desktop, ${misc:Depends}
-Architecture: all
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
+
+Package: kde-touchpad
+Architecture: any
+Section: oldlibs
 Priority: optional
-Section: oldlibs
+Depends: plasma-desktop, ${misc:Depends}
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
 
@@ -124,7 +131,8 @@
 
 Package: plasma-desktop
 Architecture: any
-Depends: breeze,
+Depends: baloo-kf5,
+         breeze,
          kactivitymanagerd,
          kde-cli-tools,
          kded5,
@@ -144,11 +152,11 @@
          qml-module-qt-labs-folderlistmodel,
          qml-module-qt-labs-settings,
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Recommends: bluedevil,
             breeze-gtk-theme,
-            fonts-hack-ttf,
             fonts-noto,
+            fonts-oxygen,
             kde-config-gtk-style,
             kde-config-screenlocker,
             kde-config-sddm,
@@ -170,19 +178,27 @@
             powerdevil,
             sni-qt,
             systemsettings,
-            user-manager,
+            user-manager
 Breaks: baloo-kf5 (<< 5.5),
-        kactivities,
+        kactivities (<< 5.21),
         kde-config-touchpad (<< 4:5),
-        kde-workspace-bin,
-        kde-workspace-data,
-        plasma-widget-kimpanel,
+        plasma-dataengines-addons (<< 4:5.8.3),
+        plasma-desktop-data (<< 4:5.3.2-0ubuntu1~),
+        plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
+        plasma-widgets-addons (<< 4:5.6.0~),
+        qml-module-org-kde-activities (<< 5.26.0)
+Conflicts: kde-workspace-bin, kde-workspace-data, plasma-widget-kimpanel
 Replaces: baloo-kf5 (<< 5.5),
-          kactivities,
+          kactivities (<< 5.21),
           kde-config-touchpad (<< 4:5),
           kde-workspace-bin,
           kde-workspace-data,
+          plasma-dataengines-addons (<< 4:5.8.3),
+          plasma-desktop-data (<< 4:5.3.2-0ubuntu1~),
+          plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
           plasma-widget-kimpanel,
+          plasma-widgets-addons (<< 4:5.6.0~),
+          qml-module-org-kde-activities (<< 5.26.0)
 Description: Tools and widgets for the desktop
  Plasma Desktop offers a beautiful looking desktop
  that takes complete advantage of modern computing technology.
@@ -200,24 +216,29 @@
 Recommends: plasma-framework (>> 5.22),
             plasma-workspace,
             qml-module-org-kde-activities,
+            qml-module-org-kde-extensionplugin,
+            qml-module-org-kde-kcm,
             qml-module-org-kde-kwindowsystem,
-            qml-module-qtquick-dialogs,
+            qml-module-qtquick-dialogs
 Breaks: baloo-kf5 (<< 5.5),
-        kactivities,
+        kactivities (<< 5.21),
         kde-config-touchpad (<< 4:5),
-        kde-workspace-bin,
-        kde-workspace-data,
-        kdeplasma-addons-data (<< 4:5.6~),
-        plasma-widget-kimpanel,
-        ${kde-l10n:all},
+        kdeplasma-addons-data (<< 4:5.8.3),
+        plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
+        plasma-widgets-addons (<< 4:5.6.0~),
+        ${kde-l10n:all}
+        kactivites (<< 5.18.0~)
+Conflicts: kde-workspace-bin, kde-workspace-data, plasma-widget-kimpanel
 Replaces: baloo-kf5 (<< 5.5),
-          kactivities,
+          kactivities (<< 5.21),
           kde-config-touchpad (<< 4:5),
           kde-workspace-bin,
           kde-workspace-data,
-          kdeplasma-addons-data (<< 4:5.6~),
-          plasma-widget-kimpanel,
-          ${kde-l10n:all},
+          kdeplasma-addons-data (<< 4:5.8.3),
+          plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
+          plasma-widgets-addons (<< 4:5.6.0~),
+          ${kde-l10n:all}
+          kactivities (<< 5.18.0~)
 Description: Tools and widgets for the desktop data files
  Plasma Desktop offers a beautiful looking desktop
  that takes complete advantage of modern computing technology.
@@ -232,13 +253,13 @@
  This package contains the data files
 
 Package: plasma-desktop-dev
+Architecture: any
 Section: devel
-Architecture: any
 Depends: libkfontinst5 (= ${binary:Version}),
          libkfontinstui5 (= ${binary:Version}),
          plasma-desktop (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Breaks: kde-config-touchpad (<< 4:5)
 Replaces: kde-config-touchpad (<< 4:5)
 Description: Tools and widgets for the desktop

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d\.]*)/plasma-desktop-(.*)\.tar\.xz
